// components
import SvgIconStyle from '@/components/SvgIconStyle';

// ----------------------------------------------------------------------

const getIcon = (name: string) => (
  <SvgIconStyle src={`/icons/${name}.svg`} sx={{ width: 1, height: 1 }} />
);

const ICONS = {
  user: getIcon('ic_user'),
  ecommerce: getIcon('ic_ecommerce'),
  analytics: getIcon('ic_analytics'),
  dashboard: getIcon('ic_dashboard'),
  hospital: getIcon('ic_banking'),
};

const navConfig = [
  // GENERAL
  // ----------------------------------------------------------------------
  {
    items: [{ title: 'Dashboard', path: '/dashboard', icon: ICONS.dashboard }],
  },

  // Membership
  // ----------------------------------------------------------------------
  {
    // subheader: 'DOCTORS & HOSPITALS',
    items: [],
  },
];

export default navConfig;
